ValidWhenLexer (Struts Core 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.validator.validwhen
Class ValidWhenLexer

    java.lang.Object
      antlr.CharScanner
          org.apache.struts.validator.validwhen.ValidWhenLexer

All Implemented Interfaces:
  antlr.TokenStream, ValidWhenParserTokenTypes

    public class ValidWhenLexer

extends antlr.CharScanner
implements ValidWhenParserTokenTypes, antlr.TokenStream

Field Summary
`static antlr.collections.impl.BitSet` | `_tokenSet_0`
`static antlr.collections.impl.BitSet` | `_tokenSet_1`

Fields inherited from class antlr.CharScanner
`_returnToken, caseSensitive, caseSensitiveLiterals, commitToPath, EOF_CHAR, hashString, inputState, literals, saveConsumedInput, tabsize, text, tokenObjectClass, traceDepth`

Fields inherited from interface org.apache.struts.validator.validwhen.ValidWhenParserTokenTypes
`ANDSIGN, DECIMAL_LITERAL, EOF, EQUALSIGN, GREATEREQUALSIGN, GREATERTHANSIGN, HEX_LITERAL, IDENTIFIER, LBRACKET, LESSEQUALSIGN, LESSTHANSIGN, LITERAL_null, LPAREN, NOTEQUALSIGN, NULL_TREE_LOOKAHEAD, OCTAL_LITERAL, ORSIGN, RBRACKET, RPAREN, STRING_LITERAL, THIS, WS`

Constructor Summary
`ValidWhenLexer(antlr.InputBuffer ib)`
`ValidWhenLexer(InputStream in)`
`ValidWhenLexer(antlr.LexerSharedInputState state)`
`ValidWhenLexer(Reader in)`

Method Summary
`void` | `mDECIMAL_LITERAL(boolean _createToken)`
`void` | `mEQUALSIGN(boolean _createToken)`
`void` | `mGREATEREQUALSIGN(boolean _createToken)`
`void` | `mGREATERTHANSIGN(boolean _createToken)`
`void` | `mHEX_LITERAL(boolean _createToken)`
`void` | `mIDENTIFIER(boolean _createToken)`
`void` | `mLBRACKET(boolean _createToken)`
`void` | `mLESSEQUALSIGN(boolean _createToken)`
`void` | `mLESSTHANSIGN(boolean _createToken)`
`void` | `mLPAREN(boolean _createToken)`
`void` | `mNOTEQUALSIGN(boolean _createToken)`
`void` | `mOCTAL_LITERAL(boolean _createToken)`
`void` | `mRBRACKET(boolean _createToken)`
`void` | `mRPAREN(boolean _createToken)`
`void` | `mSTRING_LITERAL(boolean _createToken)`
`void` | `mTHIS(boolean _createToken)`
`void` | `mWS(boolean _createToken)`
`antlr.Token` | `nextToken()`

Methods inherited from class antlr.CharScanner
`append, append, commit, consume, consumeUntil, consumeUntil, getCaseSensitive, getCaseSensitiveLiterals, getColumn, getCommitToPath, getFilename, getInputBuffer, getInputState, getLine, getTabSize, getText, getTokenObject, LA, makeToken, mark, match, match, match, matchNot, matchRange, newline, panic, panic, reportError, reportError, reportWarning, resetText, rewind, setCaseSensitive, setColumn, setCommitToPath, setFilename, setInputState, setLine, setTabSize, setText, setTokenObjectClass, tab, testLiteralsTable, testLiteralsTable, toLower, traceIn, traceIndent, traceOut, uponEOF`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _tokenSet_0

    public static final antlr.collections.impl.BitSet _tokenSet_0

### _tokenSet_1

    public static final antlr.collections.impl.BitSet _tokenSet_1

Constructor Detail

### ValidWhenLexer

    public ValidWhenLexer(InputStream in)

### ValidWhenLexer

    public ValidWhenLexer(Reader in)

### ValidWhenLexer

    public ValidWhenLexer(antlr.InputBuffer ib)

### ValidWhenLexer

    public ValidWhenLexer(antlr.LexerSharedInputState state)

Method Detail

### nextToken

    public antlr.Token nextToken()
                          throws antlr.TokenStreamException

  Specified by:
    `nextToken` in interface `antlr.TokenStream`
  Specified by:
    `nextToken` in class `antlr.CharScanner`
  Throws:
    `antlr.TokenStreamException`

### mWS

    public final void mWS(boolean _createToken)
                   throws antlr.RecognitionException,
                          antlr.CharStreamException,
                          antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mDECIMAL_LITERAL

    public final void mDECIMAL_LITERAL(boolean _createToken)
                                throws antlr.RecognitionException,
                                       antlr.CharStreamException,
                                       antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mHEX_LITERAL

    public final void mHEX_LITERAL(boolean _createToken)
                            throws antlr.RecognitionException,
                                   antlr.CharStreamException,
                                   antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mOCTAL_LITERAL

    public final void mOCTAL_LITERAL(boolean _createToken)
                              throws antlr.RecognitionException,
                                     antlr.CharStreamException,
                                     antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mSTRING_LITERAL

    public final void mSTRING_LITERAL(boolean _createToken)
                               throws antlr.RecognitionException,
                                      antlr.CharStreamException,
                                      antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mLBRACKET

    public final void mLBRACKET(boolean _createToken)
                         throws antlr.RecognitionException,
                                antlr.CharStreamException,
                                antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mRBRACKET

    public final void mRBRACKET(boolean _createToken)
                         throws antlr.RecognitionException,
                                antlr.CharStreamException,
                                antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mLPAREN

    public final void mLPAREN(boolean _createToken)
                       throws antlr.RecognitionException,
                              antlr.CharStreamException,
                              antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mRPAREN

    public final void mRPAREN(boolean _createToken)
                       throws antlr.RecognitionException,
                              antlr.CharStreamException,
                              antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mTHIS

    public final void mTHIS(boolean _createToken)
                     throws antlr.RecognitionException,
                            antlr.CharStreamException,
                            antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mIDENTIFIER

    public final void mIDENTIFIER(boolean _createToken)
                           throws antlr.RecognitionException,
                                  antlr.CharStreamException,
                                  antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mEQUALSIGN

    public final void mEQUALSIGN(boolean _createToken)
                          throws antlr.RecognitionException,
                                 antlr.CharStreamException,
                                 antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mNOTEQUALSIGN

    public final void mNOTEQUALSIGN(boolean _createToken)
                             throws antlr.RecognitionException,
                                    antlr.CharStreamException,
                                    antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mLESSTHANSIGN

    public final void mLESSTHANSIGN(boolean _createToken)
                             throws antlr.RecognitionException,
                                    antlr.CharStreamException,
                                    antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mGREATERTHANSIGN

    public final void mGREATERTHANSIGN(boolean _createToken)
                                throws antlr.RecognitionException,
                                       antlr.CharStreamException,
                                       antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mLESSEQUALSIGN

    public final void mLESSEQUALSIGN(boolean _createToken)
                              throws antlr.RecognitionException,
                                     antlr.CharStreamException,
                                     antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mGREATEREQUALSIGN

    public final void mGREATEREQUALSIGN(boolean _createToken)
                                 throws antlr.RecognitionException,
                                        antlr.CharStreamException,
                                        antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.